package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.SEnvGasMonHour;
import cn.cecep.talroad.domain.analysis.SRaWaterPermittedOnline;
import cn.cecep.talroad.vo.analysis.FactoryOutletStaticsVo;
import cn.cecep.talroad.vo.query.analysis.SRaWaterPermittedOnlineQuery;
import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Collection;
import java.util.Date;
import java.util.List;
import java.util.Set;

public interface ISEnvGasMonHourService extends IService<SEnvGasMonHour> {


    List<SEnvGasMonHour> selectLastHourData(String pollutantOutletType, String lastHour);

    List<SEnvGasMonHour> selectLastDayData(String pollutantOutletType, Date lastDayBegin, Date lastDayEnd);

    List<SEnvGasMonHour> selectSRaWaterPermittedOnlineListBy(SRaWaterPermittedOnlineQuery lambdaQueryWrapper);

    List<SEnvGasMonHour> selectSRaWaterSourceListBy(SRaWaterPermittedOnlineQuery lambdaQueryWrapper);

    List<SRaWaterPermittedOnline> selectSRaWaterSourceListByPoll(Set<String> lambdaQueryWrapper);

    List<FactoryOutletStaticsVo> selectLastDayCountData(DateTime queryBeginTime, DateTime queryEndTime);

    List<SEnvGasMonHour> selectHourDataByTime(String factoryId, String monitorId, Date monitorTime);

    List<SEnvGasMonHour> selectManualSRaWaterPermittedOnlineListBy(SRaWaterPermittedOnlineQuery lambdaQueryWrapper);

    List<SEnvGasMonHour> selectManualSRaWaterSourceListBy(SRaWaterPermittedOnlineQuery lambdaQueryWrapper);
}
